Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.sasn1.cms
Class SignedDataParser

    java.lang.Object
      org.bouncycastle.sasn1.cms.SignedDataParser

Deprecated. use corresponding class in org.bouncycastle.asn1.cms

    public class SignedDataParser

extends java.lang.Object

     SignedData ::= SEQUENCE {
         version CMSVersion,
         digestAlgorithms DigestAlgorithmIdentifiers,
         encapContentInfo EncapsulatedContentInfo,
         certificates [0] IMPLICIT CertificateSet OPTIONAL,
         crls [1] IMPLICIT CertificateRevocationLists OPTIONAL,
         signerInfos SignerInfos
       }

Constructor Summary
`SignedDataParser(Asn1Sequence seq)` Deprecated.

Method Summary
`Asn1Set` | `getCertificates()` Deprecated.
`Asn1Set` | `getCrls()` Deprecated.
`Asn1Set` | `getDigestAlgorithms()` Deprecated.
`ContentInfoParser` | `getEncapContentInfo()` Deprecated.
`Asn1Set` | `getSignerInfos()` Deprecated.
`Asn1Integer` | `getVersion()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SignedDataParser

    public SignedDataParser(Asn1Sequence seq)
                     throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

Method Detail

### getVersion

    public Asn1Integer getVersion()

  Deprecated.

### getDigestAlgorithms

    public Asn1Set getDigestAlgorithms()
                                throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### getEncapContentInfo

    public ContentInfoParser getEncapContentInfo()
                                          throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### getCertificates

    public Asn1Set getCertificates()
                            throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### getCrls

    public Asn1Set getCrls()
                    throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

### getSignerInfos

    public Asn1Set getSignerInfos()
                           throws java.io.IOException

  Deprecated.
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.45
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD